Loading...
Searching...
No Matches
AVIOInterruptCB Struct Reference

Callback for checking whether to abort blocking functions. More...

`#include <libavformat/avio.h>`

## Data Fields

int(* | callback )(void *)
void * | opaque

## Detailed Description

Callback for checking whether to abort blocking functions.

AVERROR_EXIT is returned in this case by the interrupted function. During blocking operations, callback is called with opaque as parameter. If the callback returns 1, the blocking operation will be aborted.

No members can be added to this struct without a major bump, if new elements have been added after this struct in AVFormatContext or AVIOContext.

Definition at line 59 of file avio.h.

## Field Documentation

## callback

int(* AVIOInterruptCB::callback) (void *)

Definition at line 60 of file avio.h.

## opaque

void* AVIOInterruptCB::opaque

Definition at line 61 of file avio.h.

The documentation for this struct was generated from the following file:

- libavformat/avio.h